Structure
Date: 2019-10-22

org.jmol.adapter.smarter

## Class Structure

- java.lang.Object
- - org.jmol.adapter.smarter.Structure

-     public class Structure
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int[]` | `atomStartEnd`
    `javajs.util.BS[]` | `bsAll`
    `int` | `endChainID`
    `java.lang.String` | `endChainStr`
    `char` | `endInsertionCode`
    `int` | `endSequenceNumber`
    `int[]` | `modelStartEnd`
    `int` | `serialID`
    `int` | `startChainID`
    `java.lang.String` | `startChainStr`
    `char` | `startInsertionCode`
    `int` | `startSequenceNumber`
    `int` | `strandCount`
    `java.lang.String` | `structureID`
    `STR` | `structureType`
    `STR` | `substructureType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Structure(int modelIndex, STR structureType, STR substructureType, java.lang.String structureID, int serialID, int strandCount, javajs.util.BS[] bsAll)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static STR` | `getHelixType(int type)`
    `void` | `set(int startChainID, int startSequenceNumber, char startInsertionCode, int endChainID, int endSequenceNumber, char endInsertionCode, int istart, int iend)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### structureType

          public STR structureType

    - #### substructureType

          public STR substructureType

    - #### structureID

          public java.lang.String structureID

    - #### serialID

          public int serialID

    - #### strandCount

          public int strandCount

    - #### startSequenceNumber

          public int startSequenceNumber

    - #### startChainID

          public int startChainID

    - #### startChainStr

          public java.lang.String startChainStr

    - #### startInsertionCode

          public char startInsertionCode

    - #### endSequenceNumber

          public int endSequenceNumber

    - #### endChainID

          public int endChainID

    - #### endChainStr

          public java.lang.String endChainStr

    - #### endInsertionCode

          public char endInsertionCode

    - #### atomStartEnd

          public int[] atomStartEnd

    - #### modelStartEnd

          public int[] modelStartEnd

    - #### bsAll

          public javajs.util.BS[] bsAll

  - ### Constructor Detail

    - #### Structure

          public Structure(int modelIndex,
                           STR structureType,
                           STR substructureType,
                           java.lang.String structureID,
                           int serialID,
                           int strandCount,
                           javajs.util.BS[] bsAll)

  - ### Method Detail

    - #### getHelixType

          public static STR getHelixType(int type)

    - #### set

          public void set(int startChainID,
                          int startSequenceNumber,
                          char startInsertionCode,
                          int endChainID,
                          int endSequenceNumber,
                          char endInsertionCode,
                          int istart,
                          int iend)